'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var Schema = require('mongoose').Schema;

var config = {
  module_name: 'Configuration',
  data_space: 'configuration',
  route_space: '/configuration',
  version: '1.0.0',
  dependencies: {
    // 'instrmnt.other_module': 'x.x.x' -- use the data_space
  },
  model: {
    // Mongoose model
    name: 'Configuration',
    schema: {
      registration_on: { type: Boolean, default: true },
      pre_registration_on: { type: Boolean, default: false },
      strict_logins: { type: Boolean, default: false },
      registration_activates: { type: Boolean, default: true },
      pre_register_email_activation: { type: Boolean, default: false },
      jsapi_registration_activates: { type: Boolean, default: true },
      maintenance_mode: { type: Boolean, default: false },
      hostname: { type: String, default: 'localhost' },
      license_server: { type: String, default: 'localhost' },
      use_smtp: { type: Boolean, default: true },
      smtp_service: { type: String, default: 'SMTP' },
      smtp_host: { type: String, default: 'email-smtp.us-east-1.amazonaws.com' },
      smtp_port: { type: Number, default: 465 },
      smtp_secure: { type: Boolean, default: true },
      smtp_username: { type: String, default: 'smtp_username' },
      smtp_password: { type: String, default: 'smtp_password' },
      email_from_name: { type: String, default: 'MightySpace Admin' },
      email_from: { type: String, default: 'hello@mightyspace.co' }
    }
  },
  api: {
    get: {
      enabled: true,
      authentication: true,
      admin: true
      // jsapi: false,
      // jsapi_authentication: false,
      // socket: false,
      // beforeConditions: {},
      // afterConditions: {}
    },
    post: {
      enabled: true,
      authentication: true,
      admin: true
    },
    put: {
      enabled: true,
      authentication: true,
      admin: true
    },
    del: {
      enabled: true,
      authentication: true,
      admin: true
    }
  }
};

exports.default = config;